Name:          jsslutils
Version:       1.0.7
Release:       10%{?dist}
Summary:       Java SSL utilities
# Although the main project is licensed under the New BSD Licence,
# some sub-modules in the extra directory may be under a different licence (APL, LGPL)
# Public Domain see certificates/LICENSE.txt
License:       ASL 2.0 and BSD and LGPLv2+ and Public Domain
URL:           https://github.com/jsslutils/jsslutils/
# svn export http://jsslutils.googlecode.com/svn/tags/jsslutils-root-1.0.7/ jsslutils-1.0.7
# rm -rf jsslutils-1.0.7/javadoc/*
# rm -rf jsslutils-1.0.7/.gitignore
# find jsslutils-1.0.7/ -name '*.class' -print -delete
# find jsslutils-1.0.7/ -name '*.jar' -print -delete
# tar cJf jsslutils-1.0.7.tar.xz jsslutils-1.0.7
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)

BuildArch:     noarch

%description
This project aims to provide a set of utilities regarding the
use of SSL in Java.

%package test-certificates
Summary:       jSSLutils :: Test certificates

%description test-certificates
These are a few test keys and certificates (password is
'testtest').

%package test-helpers
Summary:       jSSLutils :: Test Helpers

%description test-helpers
Helper classes for some of the tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# org.jsslutils:jsslutils-test-certificates:2.0.5
%pom_disable_module extra/gsi
# commons-httpclient:commons-httpclient:3.1
%pom_disable_module extra/apachehttpclient

%pom_disable_module extra/apachetomcat5
%pom_disable_module extra/apachetomcat6

%pom_remove_plugin :findbugs-maven-plugin %{name}
%pom_change_dep :bcprov-jdk15 :bcprov-jdk16 %{name}

# java.lang.ClassCastException: org.jsslutils.sslcontext.test.PKIXReloadCrlTest$1$1$1 cannot be cast to javax.net.ssl.HttpsURLConnection
rm -r jsslutils/src/test/java/org/jsslutils/sslcontext/test/DefaultStoreTest.java
# InterruptedException: sleep interrupted
rm -r jsslutils/src/test/java/org/jsslutils/sslcontext/test/PKIXReloadCrlTest.java
# java.lang.RuntimeException: javax.net.ssl.SSLException: java.security.ProviderException: java.io.IOException: Only uncompressed point format supported
rm jsslutils/src/test/java/org/jsslutils/sslcontext/test/NoTrustStoreTest.java \
 jsslutils/src/test/java/org/jsslutils/sslcontext/test/PKIXExplicitCrlTest.java \
 jsslutils/src/test/java/org/jsslutils/sslcontext/test/PKIXNoExplicitCrlTest.java \
 jsslutils/src/test/java/org/jsslutils/sslcontext/test/SimpleX509Test.java

%mvn_package :%{name}-root %{name}

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%license jsslutils/LICENSE.txt

%files test-certificates -f .mfiles-%{name}-test-certificates
%license certificates/LICENSE.txt

%files test-helpers -f .mfiles-%{name}-test-helpers
%license testhelpers/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license jsslutils/LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 19 2017 gil cattaneo <puntogil@libero.it> 1.0.7-9
- 

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Mar 02 2016 gil cattaneo <puntogil@libero.it> 1.0.7-7
- fix URL field
- remove duplicate files

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.7-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.7-2
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Fri Oct 18 2013 gil cattaneo <puntogil@libero.it> 1.0.7-1
- update to 1.0.7

* Thu Aug 29 2013 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm
